Skip to main content

Interface: FindRequestOptions

Defined in: service-core/src/routes/ModelRoute.ts:58

The set of options required by search request handlers.

Extends​

Properties​

ignoreACL?​

optional ignoreACL?: boolean

Defined in: service-core/src/models/RepoUtils.ts:84

Set to true to ignore the ACL permissions check.

Inherited from​

RequestOptions.ignoreACL


params?​

optional params?: any

Defined in: service-core/src/routes/ModelRoute.ts:60

The list of URL parameters to use in the search.


pushChannels?​

optional pushChannels?: string[]

Defined in: service-core/src/models/RepoUtils.ts:86

An additional list of channel names to send push notifications to.

Inherited from​

RequestOptions.pushChannels


query​

query: any

Defined in: service-core/src/routes/ModelRoute.ts:62

The list of query parameters to use in the search.


recordEvent?​

optional recordEvent?: boolean

Defined in: service-core/src/models/RepoUtils.ts:88

Indicates if a telemetry event should be broadcast for the request.

Inherited from​

RequestOptions.recordEvent


req?​

optional req?: HttpRequest

Defined in: service-core/src/routes/ModelRoute.ts:25

The originating client request.

Inherited from​

RequestOptions.req


res?​

optional res?: HttpResponse

Defined in: service-core/src/routes/ModelRoute.ts:27

The outgoing client response.

Inherited from​

RequestOptions.res


skipPush?​

optional skipPush?: boolean

Defined in: service-core/src/models/RepoUtils.ts:90

Set to true to not send a push notification.

Inherited from​

RequestOptions.skipPush


transaction?​

optional transaction?: TransactionInfo

Defined in: service-core/src/models/RepoUtils.ts:92

The transactional session to execute the operation within.

Inherited from​

RequestOptions.transaction


user?​

optional user?: JWTUser

Defined in: service-core/src/models/RepoUtils.ts:94

The authenticated user making the request.

Inherited from​

RequestOptions.user